
QGIS Application - Bug report #19118

Crash when clicking browse button in attachment edit widget

2018-06-05 02:22 PM - Tom Chadwin

Status: Open

Priority: High

Assignee:

Category: Edit widget

Affected QGIS version:3.7(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26948

Description

Steps to recreate:

1. Open a vector layer with at least one text field

2. Change a text field's edit widget to Attachment

3. Open the layer's attribute table

4. Toggle editing

5. Highlight a value in the column whose edit widget you just changed

6. Click the ellipsis browse button

On Win 7 and 10, we have confirmations that this causes a full QGIS crash, with no QGIS crash handler.

Related issues:

Related to QGIS Application - Bug report # 21775: qgis crash when filtering a... Open 2019-04-05

Duplicated by QGIS Application - Bug report # 20140: QgsExternalResourceWidge... Closed 2018-10-17

Duplicated by QGIS Application - Bug report # 21454: instant crash when using... Closed 2019-03-03

Duplicated by QGIS Application - Bug report # 21592: QGIS crash when opening ... Closed 2019-03-15

Duplicated by QGIS Application - Bug report # 21365: QGIS crashes with web vi... Closed 2019-02-24

History

#1 - 2018-06-05 02:24 PM - Tom Chadwin

Confirmed by Harrissou: http://irclogs.geoapt.com/qgis/%23qgis.2018-06-05.log

#2 - 2018-06-08 05:05 PM - Matthias Kuhn

Cannot reproduce on Linux/master

#3 - 2018-06-30 01:09 PM - Tom Chadwin

Crash still occurs in 3.2 and recent nightly. Using QGIS sample Alaska airports dataset, changing "USE" widget to Attachment, enabling editing, selecting

the USE field of the NOATAK record, and clicking the browse button. Win7 x64.

#4 - 2018-09-18 12:23 PM - T Dunne

Still an issue.
Sometimes clicking the button does not cause a crash but adding an attachment does.

#5 - 2018-11-06 10:40 AM - Tom Chadwin

Issue still present in 3.4.1

#6 - 2018-11-06 11:54 AM - Giovanni Manghi

- Affected QGIS version changed from 3.0.3 to 3.4.1

#7 - 2019-01-24 11:40 AM - Benjamin Jakimow

Issue still present in 3.4.4

#8 - 2019-01-24 12:18 PM - Jürgen Fischer

- Duplicated by Bug report #20140: QgsExternalResourceWidgetWrapper crashes added

#9 - 2019-01-29 09:38 AM - Peter Petrik

unable to reproduce on Mac with 3.5 master

#10 - 2019-01-29 09:51 AM - Giovanni Manghi

- Status changed from Open to Feedback

#11 - 2019-01-29 09:55 AM - Tom Chadwin

@Giovanni What feedback is needed - happy to help test.

#12 - 2019-01-29 10:32 AM - Tom Chadwin

- File 2019-01-29_09-29-35.gif added

#13 - 2019-01-29 10:33 AM - Tom Chadwin

Confirmed issue still present in 3.4.4 Win7 x64, as reported by @Benjamin Jakimow

#14 - 2019-01-29 10:42 AM - Giovanni Manghi

Tom Chadwin wrote:

@Giovanni What feedback is needed - happy to help test.

if a developer is having a look at the issue but is unable to replicate then is requested to the issuer to check again and/or improve the description (or as in

your case add a screencast).

#15 - 2019-01-29 10:42 AM - Giovanni Manghi

- Status changed from Feedback to Open

2025-04-26 2/3



#16 - 2019-01-29 02:59 PM - Peter Petrik

probably windows-only issue :)

#17 - 2019-03-05 12:17 PM - Samuel Wechsler

still an issue in the current nightly built 3.7.0-Master (QGIS code revision 34a0650177). And yes I use windows.

#18 - 2019-03-05 03:30 PM - Giovanni Manghi

- Operating System deleted (Windows 7, Windows 10)

- Affected QGIS version changed from 3.4.1 to 3.7(master)

also on linux.

#19 - 2019-03-05 03:30 PM - Giovanni Manghi

- Duplicated by Bug report #21454: instant crash when using the "attachment" widget added

#20 - 2019-03-05 03:31 PM - Tom Chadwin

@Giovanni Manghi That's the first report of this on non-Windows.

#21 - 2019-03-15 10:40 AM - Giovanni Manghi

- Duplicated by Bug report #21592: QGIS crash when opening file browser from attachment field in attribute table  added

#22 - 2019-03-15 10:41 AM - Giovanni Manghi

- Duplicated by Bug report #21365: QGIS crashes with web view attachment widget in a relation widget in the attribute form added

#23 - 2019-05-22 11:41 AM - Grga Franges

- File Screenshot_2019-05-22_11-37-15.png added

Several bug reports have been marked as duplicates and merged with this one, but i feel it's description doesnt represent the full extent of this bug.

In my case crash happens whenever an entry is changed in an attachment widget with a web view document viever. Crash also happens when you switch

to another feature in attribute table form view. (see attached image)

I have found this bug in 3.4. LTR on Mint 19, Windows 7 and Windows 10 environments. It totally ruins our organisation's usage scenario for QGIS and has

caused us great pain. It is a regression from an important feature that used to work perfectly in 2.18.

It would be nice if we could at least get some update here on what is causing the issue and what are the prospects of resolving it.

#24 - 2019-05-23 11:35 AM - Alessandro Pasotti

- Related to Bug report #21775: qgis crash when filtering a layer with an attachment field added

Files

2019-01-29_09-29-35.gif 4.96 MB 2019-01-29 Tom Chadwin

Screenshot_2019-05-22_11-37-15.png 640 KB 2019-05-22 Grga Franges
